Skip to content
Guides

Start authenticator enrollment

Issues a fresh authenticator secret and the otpauth URI to scan. Two-factor is not active until the code is confirmed.

POST/v1/users/me/two-factor/enrollment

Issues a fresh authenticator secret and the otpauth URI to scan. Two-factor is not active until the code is confirmed.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/users/me/two-factor/enrollment" \  -H "Authorization: Bearer <token>"
{  "sharedKey": "example",  "authenticatorUri": "https://example.com/resource"}